Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 31/01/2021, à 22:18

Karpon

[Résolu] Gros soucis avec une réintallation

Bonjour,

Voulant remettre la "logithèque" (logiciel), j'ai installé gnome-sofware, à première vue, ça s'est bien passé. Puis j'ai fait aussi d'autres choses, mais anodines, à mon sens.
Cette machine ne me servant que très peu, quand je l'ai remise en marche, j'ai eu un petit message d'erreur me disant qu'il y avait un petit souci, mais comme j'ai continué,  je n'ai pas retenu. Tout semblait fonctionner normalement, sauf mon logiciel de développement "Gambas".
Ensuite, j'ai eu le message suivant :

Impossible de résoudre les dépendances du paquet

Cette erreur peut être provoquée pas des paquets supplémentaires requis, mais absents ou non installés. En outre, il pourrait y avoir un conflit entre des paquets logiciels qui n'ont pas la permission d'être installés en même temps.
Transaction failed : Impossible de résoudre les dépendances non satisfaites :

gnome-software-plugin-snap:Depends:gnome-software (=3.36.1 -Obuntu0.20.04.0) mais la version 3.36.1 -0buntu0.20.04.0 va être installée

Ne trouvant pas de solution au problème, j'ai réinstallé xubuntu 20.04, et j'ai depuis les pires soucis. Si j'en ai résolu pas mal (de soucis), celui de Gambas reste insoluble :
Dans Synaptic, je retrouve bien mes paquets, seulement, voilà, ou ils sont cassés (et ne se recollent pas), ou il en manque, et je ne sais pas lesquels, mais le plus triste, c'est que je n'arrive pas à tous les virer, pour pouvoir les recharger depuis le dépôt de Gambas, justement. Synaptic me les signale bien comme défectueux, mais impossible de les supprimer.
Donc, avant d'aller voir plus loin, j'aimerais bien pouvoir désinstaller tous ces paquets, je verrai après !
Merci de votre aide !

Dernière modification par Karpon (Le 02/02/2021, à 13:34)


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#2 Le 31/01/2021, à 22:40

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Donne le retour de :

dpkg -l | grep gambas
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/*.list

Hors ligne

#3 Le 01/02/2021, à 09:15

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Bonjour,

Merci pour cette réponse.
Voici les retours des commandes :

xxxx-ENLE11BZ:~$ dpkg -l | grep gambas
ii  gambas3-dev                           3.14.3-2ubuntu3.1                                                amd64        Gambas compilation tools
ii  gambas3-examples                      3.14.3-2ubuntu3.1                                                all          Gambas examples
ii  gambas3-gb-cairo                      3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas bindings for cairo
ii  gambas3-gb-clipper                    3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas Clipper component
ii  gambas3-gb-complex                    3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas Complex component
ii  gambas3-gb-compress                   3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas compression component
ii  gambas3-gb-compress-bzlib2            3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas bzlib2 component
ii  gambas3-gb-compress-zlib              3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas zlib compression component
ii  gambas3-gb-crypt                      3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas crypt encription component
ii  gambas3-gb-data                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas abstract datatypes component
ii  gambas3-gb-form-stock                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 all          Gambas form stock icons
ii  gambas3-gb-form-terminal              3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 all          Gambas terminal emulator
ii  gambas3-gb-gmp                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas GMP component
ii  gambas3-gb-gsl                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas GNU Scientific Library component
ii  gambas3-gb-gtk                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas GTK+ component
ii  gambas3-gb-gtk-opengl                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas GTK+ OpenGL component
ii  gambas3-gb-gtk3                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas GTK+3 component
ii  gambas3-gb-gui-qt                     3.14.3-2ubuntu3.1                                                all          transitional package
ii  gambas3-gb-gui-qt-webkit              3.14.3-2ubuntu3.1                                                all          transitional package
ii  gambas3-gb-gui-trayicon               3.14.3-2ubuntu3.1                                                all          transitional package
ii  gambas3-gb-httpd                      3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas HTTP server
ii  gambas3-gb-image                      3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas image effects
ii  gambas3-gb-image-effect               3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas image effects: effects
ii  gambas3-gb-image-imlib                3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas image effects: IMLIB bindings
ii  gambas3-gb-image-io                   3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas image effects: I/O
ii  gambas3-gb-inotify                    3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas inotify component
ii  gambas3-gb-libxml                     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas libxml component
ii  gambas3-gb-markdown                   3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 all          Gambas markup syntax
ii  gambas3-gb-media                      3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas media component
ii  gambas3-gb-mime                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas MIME message management
ii  gambas3-gb-ncurses                    3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas NCurses component
ii  gambas3-gb-net                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas networking component
ii  gambas3-gb-net-curl                   3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas advanced networking component
ii  gambas3-gb-openal                     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OpenAL component
ii  gambas3-gb-opengl                     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OpenGL component
ii  gambas3-gb-opengl-glsl                3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OpenGL component: GL Shading Language subcomponent
ii  gambas3-gb-opengl-glu                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OpenGL utility
ii  gambas3-gb-opengl-sge                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas SDL Game Engine
ii  gambas3-gb-openssl                    3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OpenSSL component
ii  gambas3-gb-option                     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas option component
ii  gambas3-gb-pcre                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas regexp component
ii  gambas3-gb-pdf                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas PDF component
ii  gambas3-gb-qt5                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas Qt5 GUI component
ii  gambas3-gb-qt5-ext                    3.14.3-2ubuntu3.1                                                amd64        Gambas extended Qt GUI component
ii  gambas3-gb-qt5-opengl                 3.14.3-2ubuntu3.1                                                amd64        Gambas OpenGL component with QT5 toolkit
ii  gambas3-gb-qt5-webkit                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas QT5 WebKit component
ii  gambas3-gb-sdl                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas SDL component
ii  gambas3-gb-sdl-sound                  3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas SDL component
ii  gambas3-gb-sdl2                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas SDL2 component
ii  gambas3-gb-sdl2-audio                 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas SDL2 component
ii  gambas3-gb-settings                   3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 all          Gambas utilities class
ii  gambas3-gb-signal                     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas OS signal library
ii  gambas3-gb-v4l                        3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas video for Linux component
ii  gambas3-gb-vb                         3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas Visual Basic(tm) compatibility component
ii  gambas3-runtime                       3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 amd64        Gambas runtime interpreter
ii  gambas3-templates                     3.14.3-2ubuntu3.1                                                all          transitional package
xxxx-ENLE11BZ:~$ 
xxxx-ENLE11BZ:~$ cat /etc/apt/sources.list
# deb cdrom:[Xubuntu 20.04 LTS _Focal Fossa_ - Release amd64 (20200423)]/ focal main multiverse restricted universe

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ focal main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal universe
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ focal-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu focal partner
# deb-src http://archive.canonical.com/ubuntu focal partner

deb http://security.ubuntu.com/ubuntu focal-security main restricted
# deb-src http://security.ubuntu.com/ubuntu focal-security main restricted
deb http://security.ubuntu.com/ubuntu focal-security universe
# deb-src http://security.ubuntu.com/ubuntu focal-security universe
deb http://security.ubuntu.com/ubuntu focal-security multiverse
# deb-src http://security.ubuntu.com/ubuntu focal-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
xxxx-ENLE11BZ:~$  

xxxx-ENLE11BZ:~$ ls /etc/apt/sources.list.d
gambas-team-ubuntu-gambas3-focal.list
xxxx-ENLE11BZ:~$ 

xxxx-ENLE11BZ:~$ cat /etc/apt/sources.list.d/*.list
deb http://ppa.launchpad.net/gambas-team/gambas3/ubuntu focal main
# deb-src http://ppa.launchpad.net/gambas-team/gambas3/ubuntu focal main
xxxx-ENLE11BZ:~$  

A première vue, rien de sensationnel au niveau des sources.list.
Concernant la première commande, je ne sais pas trop interpréter, dans la console, c'est nettement plus coloré, mais comme je passe d'une machine à l'autre via clé USB, la couleur ne suit pas. Ici, je vois tout simplement la liste des composants (paquets) Gambas qui sont, normalement, présents sur la machine,  ce qui me paraît assez logique, mais qui refusent de coopérer, et ça, c'est nettement moins logique...
Je ne sais pas exactement à quoi correspond la commande dpkg, disons que je l'ai vue passer plusieurs fois dans les circonstances difficiles....
Voilà voilà....

Dernière modification par Karpon (Le 01/02/2021, à 09:16)


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#4 Le 01/02/2021, à 09:48

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

dpkg est une commande qui permet de gérer les paquets deb. Par exemple à en installer avec l'option -i. Ou à lister ceux qui sont installés avec l'option -l comme ici : on affiche la liste des paquets installés et on envoie la sortie à grep via un pipe (|) pour qu'il ne garde que les lignes avec "gambas" qui apparaissent. Et donc, on sait quels paquets en rapport avec Gambas il y a d'installés sur ton système.

Il a l'air d'y avoir un mélange de versions entre la 3.14 des dépôts et la 3.15 du PPA. Ou la 3.14 vient du PPA et la 3.15 vient d'un autre, de dev, qui a été supprimé ensuite ? Enfin bref, on va déjà voir ce que ça donne si on essaie de tout supprimer. On va commencer par une simulation :

sudo apt-get remove -s --purge gambas3-*

Dernière modification par abelthorne (Le 01/02/2021, à 09:49)

Hors ligne

#5 Le 01/02/2021, à 12:05

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Bonjour,

voici le résultat de la simulation   (un peu long)...

xxx-ENLE11BZ:~$ sudo apt-get remove -s --purge gambas3-*
[sudo] Mot de passe de xxx : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note : sélection de gambas3-gb-db-form pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-desktop-x11 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-signal pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gui-trayicon pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-web-feed pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-clipper pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-compress-bzlib2 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gtk-opengl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-script pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-vb pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-stock pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-desktop pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db-odbc pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-markdown pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-print pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-xml-rpc pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-scanner pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-runtime pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-chart pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-opengl-glu pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-data pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-poppler pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-dbus pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-openssl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-dev pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-eval-highlight pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-web-form pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-image-io pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-libxml pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-sdl-sound pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-openal pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-opengl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-devel pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-dialog pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-compress pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db-sqlite2 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db-sqlite3 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-cairo pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-ide pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-compress-zlib pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-memcached pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-media-form pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-util-web pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-args pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-opengl-sge pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-examples pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gui-opengl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-net-curl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-sdl2-audio pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gui-qt-webkit pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-mysql pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-mdi pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-inotify pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-terminal pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gmp pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gsl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gtk pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-settings pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gui pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-httpd pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-xml-html pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-qt5-webkit pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-opengl-glsl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-jit pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-net-pop3 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-report pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-qt5-ext pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-image pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-complex pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-map pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-net pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db-postgresql pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-term pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-net-smtp pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-web-gui pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-templates pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-dbus-trayicon pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-pdf pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-util pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form-editor pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-report2 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-image-imlib pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-qt5 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-qt5-opengl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gtk3 pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-term-form pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-scripter pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-sdl pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-mime pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-pcre pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-image-effect pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-logging pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-v4l pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-crypt pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-ncurses pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-web pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-db-mysql pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-gui-qt pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-xml pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-option pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-xml-xslt pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-media pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-form pour l'expression rationnelle « gambas3-* »
Note : sélection de gambas3-gb-sdl2 pour l'expression rationnelle « gambas3-* »
Le paquet « gambas3-gb-gui » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-gui-opengl » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-jit » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-script » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-devel » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-args » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-chart » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-form » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-mysql » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-odbc » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-postgresql » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-sqlite2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-db-sqlite3 » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-dbus » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-dbus-trayicon » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-desktop » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-desktop-x11 » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-eval-highlight » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-form » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-form-dialog » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-form-editor » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-form-mdi » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-form-print » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-logging » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-map » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-media-form » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-memcached » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-mysql » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-net-pop3 » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-net-smtp » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-poppler » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-report » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-report2 » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-scanner » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-term » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-term-form » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-util » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-util-web » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-web » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-web-feed » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-web-form » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-web-gui » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-xml » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-xml-html » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-xml-rpc » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-gb-xml-xslt » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-ide » n'est pas installé, et ne peut donc être supprimé
Le paquet « gambas3-scripter » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  debugedit geoclue-2.0 iio-sensor-proxy libalure1 libdumb1 libgif7 libglew2.1
  libgmime-2.6-0 libgmime-3.0-0 libgsl23 libgslcblas0 libgtkglext1 libid3tag0
  libimlib2 libmad0 libmikmod3 libodbc1 libopusfile0 libpangox-1.0-0 libpq5
  libqt5positioning5 libqt5qml5 libqt5quick5 libqt5sensors5 libqt5webchannel5
  libqt5webkit5 libqt5x11extras5 librpmbuild8 librpmsign8 libsdl-mixer1.2
  libsdl-ttf2.0-0 libsdl1.2debian libsdl2-image-2.0-0 libsdl2-mixer-2.0-0
  libsdl2-ttf-2.0-0 rpm
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  gambas3-dev* gambas3-examples* gambas3-gb-cairo* gambas3-gb-clipper*
  gambas3-gb-complex* gambas3-gb-compress* gambas3-gb-compress-bzlib2*
  gambas3-gb-compress-zlib* gambas3-gb-crypt* gambas3-gb-data*
  gambas3-gb-form-stock* gambas3-gb-form-terminal* gambas3-gb-gmp*
  gambas3-gb-gsl* gambas3-gb-gtk* gambas3-gb-gtk-opengl* gambas3-gb-gtk3*
  gambas3-gb-gui-qt* gambas3-gb-gui-qt-webkit* gambas3-gb-gui-trayicon*
  gambas3-gb-httpd* gambas3-gb-image* gambas3-gb-image-effect*
  gambas3-gb-image-imlib* gambas3-gb-image-io* gambas3-gb-inotify*
  gambas3-gb-libxml* gambas3-gb-markdown* gambas3-gb-media* gambas3-gb-mime*
  gambas3-gb-ncurses* gambas3-gb-net* gambas3-gb-net-curl* gambas3-gb-openal*
  gambas3-gb-opengl* gambas3-gb-opengl-glsl* gambas3-gb-opengl-glu*
  gambas3-gb-opengl-sge* gambas3-gb-openssl* gambas3-gb-option*
  gambas3-gb-pcre* gambas3-gb-pdf* gambas3-gb-qt5* gambas3-gb-qt5-ext*
  gambas3-gb-qt5-opengl* gambas3-gb-qt5-webkit* gambas3-gb-sdl*
  gambas3-gb-sdl-sound* gambas3-gb-sdl2* gambas3-gb-sdl2-audio*
  gambas3-gb-settings* gambas3-gb-signal* gambas3-gb-v4l* gambas3-gb-vb*
  gambas3-runtime* gambas3-templates*
0 mis à jour, 0 nouvellement installés, 56 à enlever et 0 non mis à jour.
Purg gambas3-dev [3.14.3-2ubuntu3.1]
Purg gambas3-examples [3.14.3-2ubuntu3.1]
Purg gambas3-gb-cairo [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-clipper [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-complex [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-compress-bzlib2 [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-compress-zlib [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-compress [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-crypt [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-data [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-form-stock [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-form-terminal [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gmp [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gsl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gtk-opengl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gtk [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gtk3 [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-gui-qt [3.14.3-2ubuntu3.1]
Purg gambas3-gb-gui-qt-webkit [3.14.3-2ubuntu3.1]
Purg gambas3-gb-gui-trayicon [3.14.3-2ubuntu3.1]
Purg gambas3-gb-httpd [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-qt5-ext [3.14.3-2ubuntu3.1]
Purg gambas3-gb-qt5-webkit [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-qt5 [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-qt5-opengl:amd64 ]
Purg gambas3-gb-qt5-opengl [3.14.3-2ubuntu3.1]
Purg gambas3-gb-opengl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-image [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-image-io:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-image-imlib:amd64 gambas3-gb-image-effect:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-image-effect [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-image-io:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-image-imlib:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-image-imlib [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-image-io:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-sdl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-image-io:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-image-io [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-inotify [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-libxml [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-markdown [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 gambas3-gb-media:amd64 ]
Purg gambas3-gb-media [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-mime [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-ncurses [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-net-curl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-net [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-openal [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 gambas3-gb-opengl-glsl:amd64 ]
Purg gambas3-gb-opengl-glsl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-glu:amd64 gambas3-gb-opengl-sge:amd64 ]
Purg gambas3-gb-opengl-glu [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1] [gambas3-gb-opengl-sge:amd64 ]
Purg gambas3-gb-opengl-sge [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-openssl [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-option [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-pcre [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-pdf [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-sdl-sound [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-sdl2 [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-sdl2-audio [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-settings [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-signal [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-v4l [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-gb-vb [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
Purg gambas3-templates [3.14.3-2ubuntu3.1]
Purg gambas3-runtime [3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1]
xxxx-ENLE11BZ:~$

Bon....
Comme c'est une simulation, les paquets sont toujours là, ou tout au moins, leurs titres (dans Synaptic)
J'avais déjà essayé de les enlever, un par un (gros boulot....) sans succès.
Quand je suis passé à la version xubu20, j'ai installé direct depuis les dépôts de xubuntu, j'avais regardé alors, en mettant les dépôts Gambas en service, si on me proposait des mises à jour : aucune n'étant proposée, j'en avais déduit que c'était bien la même version, dans les deux dépôts.
La particularité avec Gambas, c'est qu'à chaque changement de version, soit que ça ne fonctionne plus, ou mal. L'actuelle version de Gambas, par exemple, ne tourne pas sur xubutu 18 que j'utilise encore sur cette présente machine, mais tourne (tournait) sur mes portables que j'ai passé en version xubuntu20
Je suis un peu surpris, car je surveillais assez régulièrement les nouvelles versions de MàJ de Gambas, dans le gestionnaire de MàJ justement, et si on m'en avait proposé, je ne les aurais pas acceptées, sachant le bazar à chaque fois.
Mais construire un langage n'est certainement pas simple, et m'étant intéressé (à titre culturel) au langage C++, j'avais aussi noté des évolutions qui mettaient en humeur les intervenants sur le site d'aide de C !

bon, je suppose que, en enlevant le "s" de la formule, ça va acter le processus, mais je suppose qu'il faut quand même une autre lettre....


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#6 Le 01/02/2021, à 12:37

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Comme il y a un conflit de versions, les dépendances sont cassées et quand tu manipules les paquets un par un dans Synaptic, il ne peut pas les résoudre.

La simulation n'a pas l'air d'indiquer quelque chose qui va casser tout le système, donc on recommence sans (c'est effectivement l'option -s) pour supprimer réellement les paquets :

sudo apt-get remove --purge gambas3-*

Une fois que ce sera fait, supprime les dépendances inutiles :

sudo apt-get autoremove --purge

Et avant d'aller plus loin, donne-moi le retour de :

apt-cache policy gambas3

Hors ligne

#7 Le 01/02/2021, à 19:31

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Je pensais avoir envoyé la réponse à la dernière demande, mais je ne la retrouve pas... Mauvaise manip ou elle s'est perdue en route ???

Donc :

xxx-ENLE11BZ:~$ apt-cache policy gambas3
gambas3:
  Installé : (aucun)
  Candidat : 3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1
 Table de version :
     3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1 500
        500 http://ppa.launchpad.net/gambas-team/gambas3/ubuntu focal/main amd64 Packages
        500 http://ppa.launchpad.net/gambas-team/gambas3/ubuntu focal/main i386 Packages
     3.14.3-2ubuntu3.1 500
        500 http://fr.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        500 http://fr.archive.ubuntu.com/ubuntu focal/universe i386 Packages
xxxENLE11BZ:~$ 

Comme quoi, il faut toujours vérifier....
Il y a effectivement des versions 3.15 et 3.14, je ne sais pas si c'est si incompatible pour autant... Mais à première vue, elles proviennent de deux sources différentes, effectivement...
Comme je le disais dans mon post perdu, j'ai eu la surprise d'avoir une proposition de MàJ de la part du dépôt Gambas, que j'ai refusé, naturellement, d'autant qu'il était bien précisé que cela nécessitait des mise à niveau. Donc, les versions dans les dépôts xubuntu et gambas sont maintenant différentes, et je suppose que celle chez xubuntu est toujours la même, donc, stable.
Le souci avec Gambas, ce sont leurs MàJ, et si on souscrit, soit ça marche plus mal, ou ... plus du tout. J'ai maintes fois vécu l'expérience (mais là, je me répète, déjà dit dans le post d'avant  - désolé).

Dernière modification par Karpon (Le 01/02/2021, à 19:34)


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#8 Le 01/02/2021, à 19:42

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Là, tu as le PPA actif et tu as effectivement deux versions disponibles :
- 3.15.2 qui vient du PPA ;
- 3.14.3 qui vient des dépôts Ubuntu.

Il n'y a pas d'incompatibilité directe, ce sont bien deux sources différentes. Après, selon la façon dont les paquets sont faits, les paquets annexes, dépendances, etc. peuvent entrer en conflit mais si le PPA est prévu pour ta version d'Ubuntu (c'est le cas), ça ne devrait en théorie pas arriver.

Là, tu peux tenter d'installer le paquet gambas3 (je suppose que c'est celui qu'il faut installer) :

sudo apt-get install gambas3

et ça va installer la version la plus récente disponible, càd la 3.15.2 du PPA.

Comme je le disais dans mon post perdu, j'ai eu la surprise d'avoir une proposition de MàJ de la part du dépôt Gambas, que j'ai refusé, naturellement, d'autant qu'il était bien précisé que cela nécessitait des mise à niveau.

Je ne comprends pas bein le rapport avec la mise à niveau. Tu aurais le message exact ?

Dernière modification par abelthorne (Le 01/02/2021, à 22:11)

Hors ligne

#9 Le 01/02/2021, à 21:59

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Concernant le dernier propos : Il m'est arrivé plusieurs fois, avec xubuntu (qui me présente systématiquement les mises à jour dès qu'elles sont offertes - je donne mon accord ensuite pour les installer), d'avoir une fenêtre additionnelle qui me dit effectivement que des mises à  jours sont incomplètes, ou impossibles à installer, et j'ai trois propositions : -1 installer tout ce qu'on peut, 2- mettre à niveau (quoi ? je ne sais pas.., 3 - j'ai oublié, (je pense que c'est "continuer quand même), mais il me semble que l'option d'abandon n'est pas proposée et que l'on s'en sort par la case système de la fenêtre.
J'ai trouvé ce cas de figure avec xubuntu18, et du coup, mon Gambas marchait assez mal, avec un graphisme désastreux. Quand je suis passé à xubu20 sur mes portables, j'ai donc installé Gambas depuis les dépôts xubu et là, ô miracle, mon Gambas fonctionnait - j'ai quand même du faire quelques modifs (notamment activer le composant qt5), et un graphisme qui m'a laissé sur le cul... Faut dire qu'ils sont passés à qt5.
Si c'est vraiment important pour vous, je pourrai remettre le dépôt Gambas en service, là, le phénomène devrait (normalement) se reproduire, une capture d'écran devrait donc être possible (j'essaierai de retrouver comment on met une image sur de forum....).
Pour revenir à mon souci, donc, je passe les deux commandes, comme vous me le conseillez :

sudo apt-get remove --purge gambas3-*
sudo apt-get autoremove --purge

et si tout se passe bien :

sudo apt-get install gambas3

Ce qui sera bien sûr des dépôts xubu.
Au passage, c'est bien ce que j'avais fait la première fois, et comme le programme n'a jamais voulu démarrer - encore moins les exécutables conçus par mes soins, j'avais un peu cherché autre chose.
Après, je ne sais pas comment ça se passe avec xubu, vu le foutoir avec les snaps, les trucs qui doivent s'installer avec ce nouveau système, et les anciens qui marchaient tout à fait convenablement avec sudo apt-get install  xxxxx, on se perd un peu.
Donc, je fais les manœuvres et je vois. Je ne donnerai peut-être pas le retour ce soir, à moins que ça se passe bien et ...rapidement...
Merci encore pour l'aide.


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#10 Le 01/02/2021, à 22:10

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Pour le premier point, je ne pense pas que ce soit une mise à niveau (au sens où on passe à une nouvelle version d'Ubuntu) mais une référence à l'option dist-upgrade d'APT.

Quand tu veux installer les mises à jour disponibles avec APT, tu as trois options :
- sudo apt-get upgrade : upgrade va installer les mises à jour disponibles sauf celles qui nécessite d'installer des dépendances supplémentaires
- sudo apt-get dist-upgrade : dist-upgrade va installer les mises à jour disponibles et les nouvelles dépendances éventuelles
- sudo apt-get full-upgrade : je ne sais plus s'il y a une différence avec dist-upgrade, c'est peut-être juste un équivalent qui est là pour des raisons historiques

En général, les dépendances sur un paquet ne changent pas si on s'en tient aux paquets qui sont dans les dépôts Ubuntu. Mais si on utilise des dépôts tiers avec des paquets plus à jour, c'est possible qu'il y ait des dépendances supplémentaires. C'est pourquoi il est conseillé d'utiliser systématiquement dist-upgrade plutôt qu'upgrade.

Concernant Gambas, on va reprendre au début parce que je suis un peu perdu :
- est-ce que tu as vraiment besoin de la version 3.15 (du PPA) plutôt que de la version des dépôts en 3.14 ?
- est-ce que le dépôt tiers (le PPA) est toujours activé ou tu l'as désactivé ?

Dernière modification par abelthorne (Le 01/02/2021, à 22:10)

Hors ligne

#11 Le 01/02/2021, à 23:03

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Je viens de faire la manip, et ce n'est pas terrible comme résultat.
En réalité, je me souviens maintenant que j'avais eu le même cas de figure après ma réinstallation, ça m'est revenu en voyant le graphisme de ce qui a bien voulu fonctionner. Certes, l'éditeur Gambas s'ouvre bien, je n'ai pas testé si il acceptait un projet (je n'en ai pas encore sur cette machine - qui n'est pas destinée en avoir, sauf occasionnellement). J'ai quelques trucs qui se lancent, d'autres qui refusent de démarrer.
En fait, j'ai fait ce que j'aurais du faire la première fois : lancer gambas en console. Et là, ça me dit qu'il manque un composant. Je vais sur Synaptic, je constate effectivement que sa case est restée blanche, donc, pas installé, donc, je l'installe. Effectivement, et après ça, l'éditeur se lance bien et aussi quelques applications, mais pas toutes.
Dans synaptic justement, je remarque qu'il y a plusieurs composants qui ne sont pas installés, en particulier tous ceux des bibliothèques gtk*. Là, j'ai pas touché, au besoin, je verrai sur le site de Gambas.
Ce qui me chiffonne dans l'affaire, c'est que j'ai fait la mise à niveau xubu 20 il y a quelques semaines, tout s'était bien passé, et Gambas tournait impeccable (une fois le composant qt5 activé comme dit plus haut). C'est quand même curieux que les choses se soient changées d'une manière aussi profondes, en si peu de temps. Je ne pense pas que xubu ait enlevé des éléments, en général, à la sortie d'une nouvelle version, les logiciels des dépôts ne bougent pas, sauf des mises à jour de sécurité. Je vais déjà comparer avec mon autre portable quels sont les composants installés, et faire un inventaire des différences. Je verrai ça demain...

Pour répondre à votre dernier propos :
Pas raciste au point de préférer la 3.15 plutôt que la 3.14, par contre, je préfère nettement une version qui fonctionne !
Comme je l'ai dit - ou plutôt fortement laissé penser plus haut, j'ai bien désactivé les dépôts Gambas, je vous ai dit que suite à leur mise en œuvre, c'est là que j'avais eu la fameuse fenêtre où il est question de mise à niveau, j'ai donc bien précisé, dans mon précédent post, que ce dépôt Gambas était bien désactivé. Et vu l'agressivité dudit, je le laisse en sommeil pour l'instant... Et je n'envisage pas de défaire l'installation actuelle pour la refaire depuis Gambas puisque je sais que ça se passerait mal !
Bref, je continuerai demain - si il fait jour et que le covid me fout la paix...


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#12 Le 01/02/2021, à 23:06

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Si tu as réinstallé le paquet gambas3 (cf message #8) avant de désactiver le dépôt, tu dois te retrouver à nouveau avec des paquets orphelins. Il vaudrait mieux re-vérifier ça :

apt list | grep "installé, local"

Hors ligne

#13 Le 02/02/2021, à 08:12

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Bonjour,

Bien sûr que non, je n'ai pas réinstallé gambas3 et désactivé le dépôts gambas après ! Comme je l'ai déjà dit, le dépôt Gambas est désactivé depuis longtemps, c-à-d à partir du moment où il m'a proposé des MàJ impossibles ! J'ai doc fait une installation pure et dure à partir des dépôts xubu !

Bon, je vais quand même vérifier tout à l'heure....

Edit :
Je suis passé vite fait :

xxx-ENLE11BZ:~$ apt list | grep "installé, local"

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

veracrypt/now 1.24.23-1 amd64  [installé, local]
xxx-ENLE11BZ:~$ 

A première vue, rien d'anormal côté Gambas.
Par contre, si apt n'est pas correct, ceci pourrait expliquer cela.
Pour veracryt, je ne vois pas le rapport, c'est le logiciel de chiffrement qui semble fonctionner normalement.
J'ai tenté d'utiliser l'éditeur de Gambas, pour les projets que j'ai voulu tester, il est signalé au départ que des composants sont requis mais absents, entre autres, la bibliothèque qt4 qui reste introuvable !
Bref, le foutoir complet....
Je vais vois à comparer avec mon autre portable tout à l'heure.

Dernière modification par Karpon (Le 02/02/2021, à 09:31)


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#14 Le 02/02/2021, à 10:34

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Karpon a écrit :

Bien sûr que non, je n'ai pas réinstallé gambas3 et désactivé le dépôts gambas après ! Comme je l'ai déjà dit, le dépôt Gambas est désactivé depuis longtemps, c-à-d à partir du moment où il m'a proposé des MàJ impossibles ! J'ai doc fait une installation pure et dure à partir des dépôts xubu !

Je te pose la question parce qu'on l'avait réactivé (il l'était au message #7) et que je ne sais pas ce que tu as fait dans ton coin.

J'ai tenté d'utiliser l'éditeur de Gambas, pour les projets que j'ai voulu tester, il est signalé au départ que des composants sont requis mais absents, entre autres, la bibliothèque qt4 qui reste introuvable !

Qt 4 est considéré comme obsolète et a été retiré des dépôts 20.04.

Hors ligne

#15 Le 02/02/2021, à 11:18

Karpon

Re : [Résolu] Gros soucis avec une réintallation

Et efffectivement, qt4 a été retiré.
Je viens de faire un comparatif avec mon autre machine. C'est net, cette autre machine affiche tous les composants Gambas en version 3.15 !
Alors, pourquoi j'ai pensé que ma première installation avait été faite depuis les dépôts xubu, là, j'ai du faire des confusions...
Bon, en clair, je vais donc virer tout ce qui est en 3.14 et repartir sur du 3.15. Il me faudra donc passer par le dépôt Gambas, à voir comme ça se passe...
Je pense avoir les outils que vous m'avez fournis :
Je fais :

sudo apt-get remove --purge gambas3-*
sudo apt-get autoremove --purge

Ensuite :

sudo apt-get update

Et là, j'espère que c'est bien le dépôt Gambas qui sera pris en considération, ensuite :

sudo apt-get install gambas3

Bon, si ce n'est pas tout à fait ça, vous me dites...

C'est vrai, ce n'est pas facile d'aider à distance, on ne sait pas ce que l'autre à fait dans son coin ! Je comprends tout à fait que certaines aidants aient parfois des mouvements d'humeur, face à des plaignants qui ne savent pas toujours très bien ce qu'ils font...

Au fait, dois-je m'inquiéter pour apt ?


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#16 Le 02/02/2021, à 11:38

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Je suis complètement paumé dans ce que tu as fait, tu me demandes s'il faut taper des commandes qui auraient dû l'être depuis longtemps (au message #6), donc oui, avant d'aller plus loin, lance ces commandes pour supprimer tous les paquets de Gambas :

sudo apt-get remove --purge gambas3-*
sudo apt-get autoremove --purge

Une fois que ce sera fait, là, tu pourras le réinstaller :
- soit depuis les dépôts Ubuntu, en version 3.14, si le PPA est désactivé ;
- soit depuis le PPA, en version 3.15, si celui-ci est activé.

De fait, si tu veux la 3.15, réactive le PPA que tu as apparemment désactivé. Sachant qu'au retour en #7, il était encore activé, je ne sais pas ce que tu as fait par la suite (décoché le dépôt dans Logiciels et mises à jour ? supprimé le fichier .list ? supprimé le dépôt en utilisant ppa-purge ?).

Concernant sa réinstallation, je n'utilise pas du tout Gambas, je ne sais même pas ce que c'est, je suis là à la base pour essayer de t'aider sur le problème de paquets cassés qu'il y avait au début. Donc concernant sa réinstallation, je suppose qu'il faudrait réinstaller le paquet qui s'appelle gambas3 parce que c'est ce qui semble le plus logique. Donc, essaie et on verra bien ce que ça donne.

Au fait, dois-je m'inquiéter pour apt ?

À quel propos ? Par rapport au message d'erreur que tu avais à l'origine (en #1) ? Si c'est ça, il vient a priori du fait que tu as (avais ?) un mélange de paquets de Gambas de deux versions différentes, ça casse les dépendances et ça casse APT. À partir du moment où on aura supprimé tous les paquets de Gambas (deux premières commandes au début de ce message), ça devrait résoudre ce problème. Ensuite, on verra ce que ça donne en réinstallant Gambas proprement, si ça re-casse tout ou si c'est bon.

Hors ligne

#17 Le 02/02/2021, à 13:32

Karpon

Re : [Résolu] Gros soucis avec une réintallation

abelthorne a écrit :

Je suis complètement paumé ......

Non, non, faut pas....
En vérité, ce fil est parfaitement logique et cohérent, la preuve, c'est le résultat : ça fonctionne !
J'ai bien suivi le déroulement des opérations, je suppose qu'il y avait quelque part des résidus des deux versions, ce qui provoquait des conflits.

Je suis vraiment reconnaissant pour l'aide apportée, tout seul, je ne m'en tirais pas. Je retiens la méthode, et si je retrouve un cas similaire, je pense assurer (si toutefois ma mémoire ne me fait pas trop défaut).
Comme dans 99.99% des cas, la faute incombe uniquement à l'utilisateur, une preuve de plus, s'il en fallait une !

Hors sujet :
Gambas est un langage de programmation, essentiellement basé sur du basic, il est interprété, comme pyton. Pyton m'a déconcerté par sa syntaxe. C++ est trop ardu pour moi et m'obligerait à me défaire de mauvaises habitudes. Qunad j'ai abordé l'informatique, il y a de ça un peu plus de cinquante ans (50), ma première machine fonctionnait avec un Basic assez primaire, ensuite, avec un AppleII, c'était un peu plus chiadé, mais toujours en Basic. J'ai quand même fait des trucs pour mon entreprise de l'époque, et ça marchait très bien. Quand je suis passé au PC, j'ai découvert VisualBasic, et là, on faisait déjà des choses assez complexes, niveau graphisme, ça changeait de l'écran N&B en ascii.... Passé sous Linux, j'étais désespéré, mais j'ai découvert Gambas - une sorte de continuité de VisualBasic, mais sous Linux. Avec ça aussi on peut déjà faire des choses intéressantes !

Encore tous mes remerciements sincères et véritables pour cette aide fort précieuse que j'ai eu la chance de trouver !
Grand merci à vous !

....


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#18 Le 02/02/2021, à 13:59

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

Tente quand même des mises à jour (s'il y en a) pour vérifier que tout va bien :

sudo apt-get update
sudo apt-get dist-upgrade

Hors ligne

#19 Le 02/02/2021, à 15:47

Karpon

Re : [Résolu] Gros soucis avec une réintallation

abelthorne a écrit :

Tente quand même des mises à jour (s'il y en a) pour vérifier que tout va bien :
........

Restons prudents....
J'ai fait la MàJ juste avant l'installation, de manière à charger la version 3.15, et je me suis assuré qu'elle était bien arrivée dans Synaptic (à la place de la 3.14).
Maintenant, je vais désactiver le dépôt Gambas, comme ça, je suis certain qu'une MàJ ne me sera jamais proposée.
Je fais attention quand même :
- Quand je fais les mises à jour avec la méthode graphique - en fait, celle qui m'est proposée à la mise en marche de la machine, je dispose de l'affichage de tout ce qui sera changé, et je peux choisir, de faire ou de ne pas faire.
- Quand je fais

sudo apt-get update
sudo apt-get dist-upgrade

les propositions ne sont pas directement affichées (il faut faire list je crois) et si on passe outre, ça télécharge absolument tout.
Je suppose que c'est probablement ce cas de figure qui m'a fichu une pagaille pas possible. En désactivant le dépôt Gambas, je ne risque plus cette mésaventure !
Encore merci pour le service !


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne

#20 Le 02/02/2021, à 15:58

abelthorne

Re : [Résolu] Gros soucis avec une réintallation

L'intérêt d'utiliser un dépôt tiers, c'est de pouvoir maintenir les paquets qu'il contient, ce serait une meilleure idée de le laisser actif plutôt que de te retrouver avec des tas de paquets orphelins à nouveau. Si tu penses que le dépôt en question est mal géré et que ses futures mises à jour poseront problème, alors il vaudrait mieux t'en tenir à la version de Gambas qui est dans les dépôts Ubuntu.

Concernant la mise à jour des paquets en ligne de commande, quand tu lances sudo apt-get dist-upgrade, il t'affiche forcément la liste des paquets qui vont être mis à jour et tu dois valider la manip ensuite. Si tu valides, tu ne peux effectivement pas choisir manuellement quels paquets vont être mis à jour mais c'est de toute façon une meilleure idée de tout faire : si tu laisses la moitié des paquets derrière, c'est là que tu as le plus de chances de te retrouver avec des problèmes de dépendances et des mélanges de versions qui amènent au genre de situation que tu avais au départ.

Là, si je te propose de faire une mise à jour (en gardant le dépôt Gambas, donc), c'est aussi pour confirmer que le problème d'origine venait bien de Gambas. C'est pas exclu à 100 % que le problème de dépendances soit arrivé à cause d'un autre paquet. C'est très peu probable étant donné que tu n'avais pas vraiment de sources tierces et que tu n'avais qu'un paquet orphelin, veracrypt, mais il y a un monde possible où c'est ce dernier qui mettait la zone.

Dernière modification par abelthorne (Le 02/02/2021, à 15:58)

Hors ligne

#21 Le 02/02/2021, à 20:16

Karpon

Re : [Résolu] Gros soucis avec une réintallation

J'utilise Gambas depuis des années. J'ai eu, comme beaucoup d'autres utilisateurs, des déconvenues. Les mises à jour de Gambas ne sont pas toujours compatibles, et c'est bien là le souci. Pourquoi je ne garde pas la version des dépôts xubu ? Simple : je l'utilise toujours sur cette présente machine, mais depuis des mois, je n'arrivais pas à faire un graphisme correct, en clair, disons "un affichage carrément dégueulasse" ! Si je laisse les dépôts Gambas activés, les MàJ xubu vont prendre ça pour argent comptant, et me proposer des choses, mais avec les réserves susdites, à savoir un avertissement d'incompatibilité, et des souhaits de mise à niveau. Je me suis fait avoir une fois, j'ai retenu la leçon !
Quand j'ai testé xubu20, sur un portable, j'ai réinstallé, et contrairement à ce que j'ai affirmé dans un post précédent, j'ai du (parce que je n'ai plus la chose en mémoire), j'ai du récupérer la version dépôts Gambas, ce qui est logique, dans ce cas de figure, je n'avais aucun risque, au mieux, ça marchait mieux, au pire, ça marchait "comme avant". Et une fois avec cette version, la 3.15 donc, j'ai obtenu un graphisme qui me convenait beaucoup mieux et je tiens à le garder. Le souci, c'est que si Gambas sort une nouvelle mouture qui risque de ne fonctionner correctement que sous xubu22.04, je serai le bec dans l'eau. Tant que ça marche, ça va, mais dans le cas d'une réinstallation, dans 6 mois un an par exemple, ça risque d'être problématique. Et avec Gambas,les versions antérieures doivent être passées au destructeur de documents car on n'en trouve aucune !
Sur ma machine de bureau, toujours en xubu18.04.5 LTS, j'ai toujours Gambas 3.14. Passer en xubu 20 ne m'intéresse pas trop, vu qu'à chaque mise à niveau, je vire à peu près tout pour tout réinstaller, histoire d'avoir un truc propre.
Bon, ça, c'est ma logique, je conçois qu'elle soit différente pour d'autres, nous avons tous nos petites manies...


Machine assemblée perso - xubuntu 20.04 -  Xfce 4.14
Carte-mère : MSI H110 PRO D - Ram DDR3 16 G° - CPU Intel S1151
Carte graphique : NVIDIA Corporation - GeForce 210/PCIe/SSE2 - Vers 3.3.3 NVIDIA 340.108

Hors ligne